Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence.dao
Class BaseDAO

    java.lang.Object
      org.wso2.solutions.identity.persistence.dao.BaseDAO

Direct Known Subclasses:
  ActionDAO, ClaimDAO, ClaimValueDAO, DialectDAO, InfoCardDAO, IsssuedTokensDAO, ParameterDAO, PPIDValueDAO, RealmConfigurationDAO, RealmDAO, RegisteredInfoCardInfoDAO, RelyingPartyDAO, RevokedInfoCardDAO, UserActionDAO, UserPersonalRelyingPartyDAO, VerifierServiceDAO

    public class BaseDAO

extends java.lang.Object

Field Summary
`protected org.apache.log4j.Logger` | `log`
`protected static org.wso2.usermanager.i18n.Messages` | `messages`

Constructor Summary
`BaseDAO(HibernateConfig config)`

Method Summary
`java.lang.Long` | `create(AbstractDataObject trasientInstance)`
`java.lang.Long` | `createOrUpdate(AbstractDataObject instance)`
`void` | `delete(AbstractDataObject abstractDO)`
`int` | `executeSingleDMLStatement(java.lang.String stmt, java.lang.String variable, java.lang.String value)` Executes a single DML statement and returns the number of rows effected.
`AbstractDataObject` | `getDataObject(java.lang.String objClassName, java.lang.Long val)`
`void` | `update(AbstractDataObject abstractDO)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.log4j.Logger log

### messages

    protected static org.wso2.usermanager.i18n.Messages messages

Constructor Detail

### BaseDAO

    public BaseDAO(HibernateConfig config)

Method Detail

### create

    public java.lang.Long create(AbstractDataObject trasientInstance)
                          throws DuplicateEntityException

  Throws:
    `DuplicateEntityException`

### createOrUpdate

    public java.lang.Long createOrUpdate(AbstractDataObject instance)

### update

    public void update(AbstractDataObject abstractDO)

### delete

    public void delete(AbstractDataObject abstractDO)

### executeSingleDMLStatement

    public int executeSingleDMLStatement(java.lang.String stmt,
                                         java.lang.String variable,
                                         java.lang.String value)

  Executes a single DML statement and returns the number of rows effected.

  Parameters:
    `stmt` -
    `variable` - - Variable
    `value` - - Value
  Returns:

### getDataObject

    public AbstractDataObject getDataObject(java.lang.String objClassName,
                                            java.lang.Long val)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD